Download Package Version
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Download Package Version action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Download files from Package",
"disabled": true,
"type": "DOWNLOAD_PACKAGE_VERSION",
"trigger_time": "ON_EVERY_EXECUTION",
"source_path": "target/path/on/server",
"recursive": true,
"version": "1.0.0",
"destination_path": "/assets/",
"overwrite": true,
"variables": [
{
"key": "env_key",
"value": "env_value",
"type": "VAR",
"settable": false,
"run_only_settable": false,
"encrypted": false,
"description": "nkrttlwhfx"
}
],
"timeout": 1800,
"retry_interval": 60,
"retry_count": 5,
"ignore_errors": true,
"download_excludes": [
"/ignorePath",
"/ignore/path/2"
],
"download_includes": [
"/excludePath",
"/exclude/path/2"
],
"current_revision": "21825f31ddce8a89b3ed9f4c92f038b339cde150",
"package": "buddytests",
"loop": [
"env_key"
]
}'STATUS200 OK